<?php

namespace App;

class Error
{
    /**
     * 错误码
     * @var [type]
     */
    public static $errCodes = [
        0 => '成功',
        400 => '请求失败,请稍候再试',
        500 => '系统异常，请联系管理员',

        1000 => '系统繁忙',
        1001 => '平台参数获取失败',
        1002 => '预授权码获取失败',
        1003 => '授权失败，请重试',
        1004 => '非法操作',

        1102 => '请求参数有误',

        2000 => '获取企业access_token失败',
        2001 => '部门权限获取失败',
        2002 => '获取内部员工信息失败',
        2003 => '获取配置了客户联系功能成员失败',
        2004 => '企业id为空',
        2005 => '获取企业标签失败',
        2006 => '保存企业标签失败',
        2007 => '操作太快',
        2008 => '客户状态不可用，不可编辑标签',
        2009 => '获取部门列表为空',
        2010 => '获取配置了客户联系功能成员列表为空',

        2101 => '群发规则设置失败，请联系管理员',
        2102 => '此状态群发规则暂不支持编辑操作',
        2103 => '群发规则设置失败，请重试',
        2104 => '群发详情获取失败，请联系管理员',
        2105 => '群发规则列表获取失败，请联系管理员',
        2106 => '群发消息规则不存在，请刷新页面重试',
        2107 => '群发消息规则状态更新失败',
        2108 => '该群发消息的当前状态不支持发送提醒功能',
        2109 => '该群发消息指定的成员为空',
        2110 => '小程序推广链接中的公众账号与当前企微不匹配',
        2111 => '此状态群发规则暂不可禁用',

        2201 => '新用户欢迎语内容不可为空',
        2202 => '新用户欢迎语设置失败，请联系管理员',
        2203 => '新用户欢迎语设置失败，请重试',
        2204 => '非全体员工通用规则请选择指定员工',
        2205 => '新用户欢迎语列表获取失败，请联系管理员',
        2206 => '新用户欢迎语详情获取失败，请联系管理员',
        2207 => '欢迎语规则不存在，请刷新页面重试',
        2208 => '欢迎语规则状态更新失败',

        2301 => '图片仅支持png或jpg格式',
        2302 => '语音仅支持amr格式',
        2303 => '视频仅支持mp4格式',
        2304 => '素材存储失败，请重试',
        2305 => '素材上传失败，请联系管理员',
        2306 => '图片文件大小不可超过10M',
        2307 => '语音文件大小不可超过2M',
        2308 => '视频文件大小不可超过20M',
        2309 => '临时素材上传失败，请重试',
        2310 => '素材上传信息存储失败，请重试',
        2311 => '请选择需要上传的素材文件',
        2312 => '图片总像素不超过1555200',
        2313 => 'PDF文件仅支持pdf格式',
        2314 => '文件存储失败，请重试',
        2315 => '请选择需要上传的文件',
        2316 => 'PDF文件大小不可超过20M',
        2317 => '上传失败，请联系管理员',
        2318 => '文件大小不可超过20M',

        2401 => '企业id和公众号id不可同时为空',

        2501 => '朋友圈任务设置失败，请联系管理员',
        2502 => '此状态朋友圈任务暂不支持编辑操作',
        2503 => '朋友圈任务设置失败，请重试',
        2504 => '朋友圈任务获取失败，请联系管理员',
        2505 => '朋友圈任务列表获取失败，请联系管理员',
        2506 => '朋友圈任务规则不存在，请刷新页面重试',
        2507 => '朋友圈任务规则状态更新失败',
        2508 => '朋友圈发布记录获取失败，请联系管理员',
        2509 => '附件类型最多可以选择一种',
        2510 => '图片不能超过9张',
        2511 => '此条朋友圈消息所有成员已经完成发送',
        2512 => '消息发送失败，请稍后重试',
        2513 => '该类型消息附件只支持一个',
        2514 => '提醒失败，请联系管理员',

        2601 => '配置信息不存在，请刷新重试',
        2602 => '配置项编辑失败',
        2603 => '配置项编辑失败, 请联系管理员',
        2604 => '配置项信息获取失败，请联系管理员',

        2701 => '未查询到该客户信息，请刷新页面重试',
        2702 => '操作异常，请稍后重试',

        2801 => '获取用户企微信息失败',
        2802 => '未查询到指定雷达信息',
        2803 => '企业或客服信息缺失',
        2804 => '数据上报失败',

        3000 => '在职分配客户失败',
        3001 => '请求参数错误',
        3002 => '数据为空',
        3003 => '原跟进员工需为离职状态',
        3004 => '未修改',

        3101 => '公众号信息不存在',
        3102 => '剧集信息不存在',
        3103 => '用户信息不存在',
        3104 => '投手剧集关系信息不存在',
        3105 => '投放时间存在冲突',
        3106 => '操作失败~',
        3107 => 'adq投放账号信息不存在',

        ## 预警相关
        3201 => '预警组名称不可为空～',
        3202 => '预警组传递数据参数有误～',
        3203 => '预警组传递用户数据存在手机号码不合法～',
        3204 => '预警组名称已经存在～',
        3205 => '该预警组信息不存在～',
        3206 => '预警组配置必须完整才可启用~',
        3207 => '预警人员手机号码已经存在～',
        3208 => '该预警人员信息不存在～',

        # 批量添加客户
        3301 => '本次导入客户列表中，与已导入客户列表存在重复客户',
        3302 => '系统异常，无法识别上传文件',
        3303 => '系统异常，读取缓存数据失败',
        3304 => '导入文件内容有误',
        3305 => '没有筛选到待分配的客户',

        # 智能雷达
        3400 => '雷达组名称已使用',
        3401 => '雷达信息查询异常',
        3402 => '未检测到修改',
        3403 => '话术组名称已使用',
        3404 => '话术信息查询异常',
        3405 => '被操作雷达组前后分组id不可同时为空',

        # 快捷话术
        3501 => '未查询到指定话术信息',
        3502 => '话术信息处理失败，请联系管理员',
        3503 => '话术素材获取失败，请重试',
        3504 => '快捷话术发送数据上报失败',
        3505 => '最多添加9条话术内容',
        3506 => '最少添加1条话术内容',
        3507 => '被操作话术规则前后规则id不可同时为空',

        3601 => '群发发送记录列表获取失败，请联系管理员',
        3602 => '群发发送详情详情获取失败，请联系管理员',

        3701 => '参数异常，请检查推广位ID是否合法',
        3702 => '参数异常，请检查客户群ID是否合法',
        3703 => '所选推广位已绑定过其他群，请解绑后再操作',

        4002 => '请重新登录',

        4400 => '路由地址已存在',
        4401 => '上级权限ID不存在',
        4402 => '参与排序项目与实际数量不一致',
        4403 => '参数错误',
        4404 => '用户名已经存在',
        4405 => '密码需要6～18个字符',
        4406 => '非系统管理员不能管理账号组',
        4407 => '不可以删除自己',
        4408 => '漏单回传设置有误~',

        4501 => '权限设置失败，请联系管理员',
        4502 => '权限设置失败，请重试',
        4503 => '权限编辑失败，请重试',
        4504 => '权限编辑失败，请联系管理员',
        4505 => '角色信息不存在，请刷新页面重试',
        4506 => '无操作权限',
        4507 => '角色删除失败，请重试',
        4508 => '角色权限删除失败，请重试',
        4509 => '该角色已被使用，请先解除用户和该角色的绑定关系',

        #渠道活码相关
        4600 => '客服数据格式有误',
        4601 => '生成渠道二维码失败',
        4602 => '系统错误',
        4603 => '参数有误，不存在该渠道活码',
        4604 => '更新渠道二维码失败',
        4605 => '删除渠道二维码失败',
        4606 => '参数有误',
        4607 => '不存在该分组',
        4608 => '没有配置符合条件的客服',
        4609 => '分组设置失败',
        4610 => '分组排序失败',

        # 侧边栏-客户画像
        4701 => '画像配置操作传递参数不合法~',
        4702 => '画像配置操作传递参数有误~',
        4703 => '客户详情数据不存在~',
        4704 => '客户画像存储数据不合法~',
        4705 => '客户画像编辑传递参数有误~',
        4706 => '客户画像该属性已存在~',
        4707 => '客户画像该属性不存在~',
        4710 => '验签失败',
        4711 => '查不到该客户',

        # 群活码
        4801 => '群活码创建失败',
        4802 => '群活码信息获取失败，请重试',
        4803 => '群活码信息获取异常，请重试',
        4804 => '群活码创建过程发生异常，请联系管理员',
        4805 => '群活码参数非法',
        4806 => '群活码规则设置失败，请重试',
        4807 => '群活码标识与规则不匹配',
        4808 => '群活码更新过程发生异常，请联系管理员',
        4809 => '群活码中至少需要保留一个客户群，若需停用请直接禁用',
        4810 => '群活码详情配置获取失败，请联系管理员',
        4811 => '未查询到指定的群活码配置，请刷新后重试',
        4812 => '群活码禁用失败，请联系管理员',
        4813 => '群活码禁用失败，请重试',
        4814 => '扫码数据上报失败',
        4815 => '未查询到客服信息',

        4900 => 'adq投放账号ID查询失败，确认填写是否正确',
        4901 => 'adq投放账号尚未绑定web数据源',

        4910 => '暂不支持该平台创建推广链接',
        4911 => '未查询到合法的剧集信息',
        4912 => '平台账号信息不符合创建链接条件',
        4913 => '链接信息获取异常，请联系管理员',
        4914 => '链接生成失败',
        4915 => '请确认公众账号是否在第三方平台完成绑定',
        4916 => '该剧素材库不完整，暂时不能创建',

        5000 => '平台标识有误',
        5001 => '签名校验失败',
        5002 => '查询客户信息为空',
        5003 => '查询标签结果异常',

        5101 => '账号名称已存在',
        5102 => '小程序已存在',

        # 个人SOP
        5201 => 'SOP规则ID非法',
        5202 => 'SOP规则设置失败，请重试',
        5203 => 'SOP规则消息配置失败，请重试',
        5204 => 'SOP消息ID非法',
        5205 => 'SOP规则设置失败，请联系管理员',
        5206 => 'SOP规则状态变更失败',
        5207 => '此SOP规则已关闭',

        # 智能群发
        5220 => '提醒发送时间配置有误，请联系管理员',
        5221 => '智能群发配置不存在，请刷新页面重试',
        5222 => '智能群发规则设置失败，请重试',
        5223 => '智能群发规则设置失败，请联系管理员',

        # 优惠券相关
        7001 => '已存在该账号',
        7002 => '不能修改为已存在的账号',
        7003 => '不存在该账号',
        7004 => '已存在该推广位',
        7005 => '不存在该推广位',
        7006 => '推广位有误',
        7007 => '必须选择推广组',

        # 群群发工具
        7200 => '未选择客户群',
        7201 => '未查到该成员所在客户群',
        7202 => '此群发规则不符合修改条件',
        7203 => '此群发规则已经禁用过',
        7204 => '此群发规则不能禁用',
    ];
    /**
     * 返回错误码
     * @var string
     */
    public static function getError($code = "400", $_ = false)
    {
        if (! isset(self::$errCodes[$code])) {
            $code = "400";
        }
        return ($_ ? "[{$code}]" : "")
            . self::$errCodes[$code];
    }
}
